#
# spec file for package wnn-sdk (Version 7)
#
# Copyright (c) 2004 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gpp gtk2-devel-packages libgpp pkgconfig scim scim-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs atk atk-devel autoconf automake binutils expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem gtk2 gtk2-devel libstdc++-devel libtool pango pango-devel perl pkgconfig rpm scim scim-devel update-desktop-files

Name:         wnn-sdk
Version:      7
Release:      1.1
License:      WNN7 CLIENT LIBRARY--SOFTWARE LICENSE TERMS AND CONDITIONS
Group:        System/I18n/Japanese
Autoreqprov:  on
Url:          http://www.omronsoft.co.jp
Source0:      ftp://ftp.omronsoft.co.jp/pub/Wnn7/sdk_source/Wnn7SDK.tar.bz2
Patch0:       64bit.patch
Patch1:       do-not-return-random-data-in-functions.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Software development kit for Wnn Input Method

%description
Software development kit for Wnn Input Method



Authors:
--------
    OMRON Software Co., Ltd. <wnn-info@omronsoft.co.jp>

%prep
%setup -q -n src
%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS"
make World -f Makefile.ini

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/%{_libdir} $RPM_BUILD_ROOT/usr/include/wnn
install -m 644 Wnn/include/*.h $RPM_BUILD_ROOT/usr/include/wnn
install -m 644 Wnn/jlib/*.a $RPM_BUILD_ROOT/%{_libdir}
cp -a Wnn/jlib/*.so* $RPM_BUILD_ROOT/%{_libdir}

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files 
%defattr(-, root, root)
%doc README
%{_libdir}/libwnn*
%dir /usr/include/wnn/
/usr/include/wnn/*

%changelog -n wnn-sdk
* Fri Dec 17 2004 - mfabian@suse.de
- new package: wnn-sdk, Version 7.
- apply 64 bit patch.
- don't return random data in functions.
